Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.util
Class ApplicationFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--com.vistech.util.ApplicationFrame

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

Direct Known Subclasses:
  ImageBrowser, ImageViewer2D, JAIImageBrowser, JAIImageViewer, JAISimpleViewer, JavaPaintShop, QuantAnalyzer, ViewerPanel, ViewerPanel

public class ApplicationFrame
extends javax.swing.JFrame

Provides a skeleton application frame for applications.

Version:
  1.0 26 dec 1999
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Inner Class Summary
`class` | `ApplicationFrame.AppMenuBar`

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected java.lang.String` | `aboutString`
`protected java.lang.String` | `aboutTitle`
`protected java.lang.String` | `author`
`protected java.awt.Container` | `contentPane`
`protected java.lang.String` | `copyRight`
`protected java.lang.String` | `curDataFile`
`protected java.util.Locale` | `curLocale`
`protected java.lang.String` | `helpBoxTitle`
`protected java.lang.String` | `helpMidText`
`protected java.awt.print.Printable` | `printerObj`
`protected java.lang.String` | `saveFileName`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ApplicationFrame()`
`ApplicationFrame(int wid, int ht)` Constructor when used in applications.

Method Summary
`protected void` | `createGUI()`
`static java.awt.Dimension` | `getViewerSize(double imageAspectRatio)`
`static void` | `main(java.lang.String[] arg)`
`protected void` | `open()`
`protected void` | `printContents()`
`void` | `quit()`
`protected void` | `save()`
`protected void` | `saveAs()`
`void` | `setAboutString(java.lang.String str)`
`void` | `setAboutTitle(java.lang.String str)`
`void` | `setLocale(java.util.Locale loc)`
`void` | `setPrinterObj(java.awt.print.Printable pr)`
`void` | `updateUI()`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### curLocale

    protected java.util.Locale curLocale

### copyRight

    protected java.lang.String copyRight

### author

    protected java.lang.String author

### helpMidText

    protected java.lang.String helpMidText

### helpBoxTitle

    protected java.lang.String helpBoxTitle

### aboutString

    protected java.lang.String aboutString

### aboutTitle

    protected java.lang.String aboutTitle

### curDataFile

    protected java.lang.String curDataFile

### contentPane

    protected java.awt.Container contentPane

### printerObj

    protected java.awt.print.Printable printerObj

### saveFileName

    protected java.lang.String saveFileName

Constructor Detail

### ApplicationFrame

    public ApplicationFrame()

### ApplicationFrame

    public ApplicationFrame(int wid,
                            int ht)

  Constructor when used in applications.
  Parameters:
    `wid` - the width of the frame.
    `ht` - the height of the frame.

Method Detail

### main

    public static void main(java.lang.String[] arg)

### createGUI

    protected void createGUI()

### getViewerSize

    public static java.awt.Dimension getViewerSize(double imageAspectRatio)

### setPrinterObj

    public void setPrinterObj(java.awt.print.Printable pr)

### setLocale

    public void setLocale(java.util.Locale loc)

  Overrides:
    `setLocale` in class `java.awt.Component`
  Parameters:
    `the` - locale.

### setAboutString

    public void setAboutString(java.lang.String str)

### setAboutTitle

    public void setAboutTitle(java.lang.String str)

### updateUI

    public void updateUI()

### open

    protected void open()

### saveAs

    protected void saveAs()

### save

    protected void save()

### printContents

    protected void printContents()

### quit

    public void quit()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD